ODK API Portal
한국어
  • Overview
  • MediaIO
  • Continue Watching
  • Player Event
  • Deprecated
  • Recent changes
Information
carousel-group
Carousel
category-channels
category-navigation
category
channels
consent
content
Continue Watching
    Continue Watching 저장post
cover
deletion-request
device-data
Favorites
multichannel
Onboarding
parental-control
Amasian Parental PIN
playback
policy
recommendation
search
season
series
service-config
Schemas
powered by Zudoku
ODX API v4
ODX API v4

Continue Watching


Continue Watching 저장

POST
https://odkmedia.io
/odx/api/v4/continue-watching/save/
Code
사용자의 시청 진행 상황을 저장합니다. - content_id: 시청 중인 콘텐츠 ID - last_position: 마지막 시청 위치 (초 단위) - device_id: 디바이스 ID (헤더에서 자동 추출 또는 body에 포함)

Continue Watching 저장 › Headers

did
​string

디바이스 ID (선택사항, body의 device_id보다 우선)

Example: 00000000-0000-4000-8000-000000000000

Continue Watching 저장 › Request Body

Continue Watching 데이터 저장을 위한 Serializer
ContinueWatchingSaveRequest
content_id
​integer · min: 1 · required

시청 중인 콘텐츠 ID

last_position
​integer · min: 0 · required

마지막 시청 위치 (초 단위)

device_id
​string · minLength: 1 · maxLength: 255

디바이스 ID

Continue Watching 저장 › Responses

​object
message
​string
success
​boolean
POST/odx/api/v4/continue-watching/save/
curl https://odkmedia.io/odx/api/v4/continue-watching/save \ --request POST \ --header 'Content-Type: application/json' \ --data '{ "content_id": 1, "device_id": "device_id", "last_position": 0 }'
Example Request Body
{ "content_id": 1, "device_id": "device_id", "last_position": 0 }
json
Example Responses
{ "data": { "cache_key": "cache_key", "content_id": 0, "device_id": "device_id", "last_position": 0, "updated": 0 }, "message": "message", "success": true }
json
application/json

contentcover